#include "Main.h"



int main(void)
{
   int status = 0 ;
   double objval = 0.0 ;

   // Declare environnement and linear problem.
   CPXENVptr env ;
   CPXLPptr lp ;
   
   // Environnement Cplex
   env = CPXopenCPLEX(&status) ;
   CPXsetintparam(env, CPX_PARAM_SCRIND, CPX_ON) ;

   // Create problem
   char ProbName[TAILLE] ;
   strcpy(ProbName, "Simple") ;
   lp = CPXcreateprob(env, &status, ProbName) ;

   // Read problem from file.
   char FileName[TAILLE] ;
   strcpy(FileName, "Simple") ;
   char FileType[TAILLE] ;
   strcpy(FileType, "lp") ;
   CPXreadcopyprob(env, lp, FileName, FileType) ;

   // Nombre de colonnes
   uint16 NbCol = 0 ;
   NbCol = CPXgetnumcols (env, lp) ;

   CPXmipopt(env, lp) ;

   CPXgetstat(env, lp) ;

   CPXgetmipobjval(env, lp, &objval) ;

   printf("Objectif value = %5.2f\n", objval) ;

   
   double VariableValue[TAILLE] ;
   CPXgetmipx(env, lp, VariableValue, 0, NbCol - 1) ;

   char ** VariableNameTAB ;
   VariableNameTAB = new char*[NbCol] ;
   char VariableName[TAILLESTR] ;

   int Surplus = 0 ;
   CPXgetcolname(env, lp, VariableNameTAB, VariableName, TAILLESTR, &Surplus, 0, NbCol - 1) ;

   for (uint16 i = 0 ; i<NbCol ; i++)
   {
      printf("%s = %5.2f\n", VariableNameTAB[i], VariableValue[i]) ;
   }


   // Free space alloc
   delete VariableNameTAB ;
   CPXfreeprob(env, &lp) ;
   CPXcloseCPLEX(&env) ;

   return 0 ;
}


